ALAS-2018-984


Amazon Linux AMI Security Advisory: ALAS-2018-984
Advisory Release Date: 2018-04-05 15:52 Pacific
Severity: Important

Issue Overview:

Buffer overflow in dhclient possibly allowing code execution triggered by malicious server
An out-of-bound memory access flaw was found in the way dhclient processed a DHCP response packet. A malicious DHCP server could potentially use this flaw to crash dhclient processes running on DHCP client machines via a crafted DHCP response packet. (CVE-2018-5732 )

Reference count overflow in dhcpd allows denial of service
A denial of service flaw was found in the way dhcpd handled reference counting when processing client requests. A malicious DHCP client could use this flaw to trigger a reference count overflow on the server side, potentially causing dhcpd to crash, by sending large amounts of traffic. (CVE-2018-5733 )


Affected Packages:

dhcp


Issue Correction:
Run yum update dhcp to update your system.

New Packages:
i686:
    dhcp-4.1.1-53.P1.27.amzn1.i686
    dhcp-debuginfo-4.1.1-53.P1.27.amzn1.i686
    dhcp-common-4.1.1-53.P1.27.amzn1.i686
    dhclient-4.1.1-53.P1.27.amzn1.i686
    dhcp-devel-4.1.1-53.P1.27.amzn1.i686

src:
    dhcp-4.1.1-53.P1.27.amzn1.src

x86_64:
    dhcp-debuginfo-4.1.1-53.P1.27.amzn1.x86_64
    dhcp-devel-4.1.1-53.P1.27.amzn1.x86_64
    dhclient-4.1.1-53.P1.27.amzn1.x86_64
    dhcp-common-4.1.1-53.P1.27.amzn1.x86_64
    dhcp-4.1.1-53.P1.27.amzn1.x86_64